com.tibbo.aggregate.common.query

## Enum TypeMapper.Type

- java.lang.Object
- - java.lang.Enum<TypeMapper.Type>
  - - com.tibbo.aggregate.common.query.TypeMapper.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TypeMapper.Type>
  Enclosing class:
    TypeMapper

      public static enum TypeMapper.Type
      extends java.lang.Enum<TypeMapper.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIGINT`
    `BLOB`
    `BOOLEAN`
    `CLOB`
    `DOUBLE`
    `INTEGER`
    `LONG`
    `REAL`
    `TIMESTAMP`
    `VARCHAR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeMapper.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TypeMapper.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER

          public static final TypeMapper.Type INTEGER

    - #### VARCHAR

          public static final TypeMapper.Type VARCHAR

    - #### BOOLEAN

          public static final TypeMapper.Type BOOLEAN

    - #### BIGINT

          public static final TypeMapper.Type BIGINT

    - #### REAL

          public static final TypeMapper.Type REAL

    - #### TIMESTAMP

          public static final TypeMapper.Type TIMESTAMP

    - #### CLOB

          public static final TypeMapper.Type CLOB

    - #### BLOB

          public static final TypeMapper.Type BLOB

    - #### LONG

          public static final TypeMapper.Type LONG

    - #### DOUBLE

          public static final TypeMapper.Type DOUBLE

  - ### Method Detail

    - #### values

          public static TypeMapper.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeMapper.Type c : TypeMapper.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeMapper.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null